import { describe, it, expect } from '@jest/globals'
import { build } from 'vite'

import vitePluginOxManifests from '../../dist/index'
import { getFileFromBundle, getDirname } from '../util'

const __dirname = getDirname(import.meta.url)

describe('Manifest with dynamic dependencies', function () {
  it('works', async function () {
    const bundle = await build({
      root: __dirname,
      logLevel: 'silent',
      build: {
        write: false,
        rollupOptions: { input: {} }
      },
      plugins: [vitePluginOxManifests({

      })]
    })
    const manifestFile = getFileFromBundle('manifest', bundle)
    const manifests = JSON.parse(manifestFile.source)

    expect(manifests['register.js'].css).toHaveLength(1)
    expect(manifests['register.js'].dynamicImports).toHaveLength(1)
  })
})
