import { describe, it, expect } from '@jest/globals'
import { build } from 'vite'

import vitePluginOxManifests from '../../dist/index'
import { getFileFromBundle, getDirname } from '../util'

const __dirname = getDirname(import.meta.url)

describe('Meta option', function () {
  it('works', async function () {
    const bundle = await build({
      root: __dirname,
      logLevel: 'silent',
      build: { write: false, rollupOptions: { input: {} } },
      plugins: [vitePluginOxManifests({
        meta: {
          version: '1.2.3'
        }
      })]
    })

    const metaFile = getFileFromBundle('meta.json', bundle)
    expect(JSON.parse(metaFile.source)).toEqual({ version: '1.2.3' })
  })
})
